ランタイム: Mix::Dynamics::IVehicleWheel Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Member Functions | List of all members
Mix::Dynamics::IVehicleWheel Class Referenceabstract

ビハイクルホイールインターフェース More...

`#include <IVehicle.h>`

Inheritance diagram for Mix::Dynamics::IVehicleWheel:
[legend]
Collaboration diagram for Mix::Dynamics::IVehicleWheel:
[legend]

## Classes

struct | CONTACT
| コンタクト構造体 More...
struct | SUSPENSION
| サスペンション構造体 More...
struct | TIRE
| タイヤ構造体 More...

## Public Member Functions

virtual Boolean | IsFront (void) const =0
| フロントかどうかを取得します More...
virtual const Mix::Vector3 & | GetDirection (void) const =0
| 方向を取得します More...
virtual const Mix::Vector3 & | GetAxis (void) const =0
| 軸を取得します More...
virtual const Mix::Vector3 & | GetConnectionPoint (void) const =0
| 接続位置を取得します More...
virtual void | SetConnectionPoint (const Mix::Vector3 &cp)=0
| 接続位置を設定します More...
virtual Float32 | GetRollInfluence (void) const =0
| 車体が転がる影響度を取得します More...
virtual void | SetRollInfluence (Float32 rollInfluence)=0
| 車体が転がる影響度を設定します More...
virtual const Mix::Dynamics::IVehicleWheel::TIRE & | GetTire (void) const =0
| タイヤを取得します More...
virtual void | SetTire (const Mix::Dynamics::IVehicleWheel::TIRE &tire)=0
| タイヤを設定します More...
virtual const Mix::Dynamics::IVehicleWheel::SUSPENSION & | GetSuspension (void) const =0
| サスペンションを取得します More...
virtual void | SetSuspension (const Mix::Dynamics::IVehicleWheel::SUSPENSION &suspension)=0
| サスペンションを設定します More...
virtual Float32 | GetSteeringValue (void) const =0
| ステアリングの値を取得します More...
virtual void | SetSteeringValue (Float32 value)=0
| ステアリングの値を設定します More...
virtual Float32 | GetEngineForce (void) const =0
| エンジンを力を取得します More...
virtual void | SetEngineForce (Float32 force)=0
| エンジンの力を設定します More...
virtual Float32 | GetBreakingForce (void) const =0
| ブレーキの力を取得します More...
virtual void | SetBreakingForce (Float32 force)=0
| ブレーキの力を設定します More...
virtual Boolean | OnGround (void) const =0
| 接地しているかどうかを確認します More...
virtual Mix::Dynamics::IVehicleWheel::CONTACT | GetContact (void) const =0
| 接触を取得します More...
virtual const Mix::Matrix4x4 & | GetWorldMatrix (void)=0
| ワールド行列を取得します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IVehicleWheel (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

ビハイクルホイールインターフェース

## Constructor & Destructor Documentation

virtual Mix::Dynamics::IVehicleWheel::~IVehicleWheel | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Boolean Mix::Dynamics::IVehicleWheel::IsFront | ( | void |  | ) | const

pure virtual

フロントかどうかを取得します

Returns
  フロントの場合は True を返します

virtual const Mix::Vector3& Mix::Dynamics::IVehicleWheel::GetDirection | ( | void |  | ) | const

pure virtual

方向を取得します

Returns
  方向を表す Mix::Vector3 クラスを返します

virtual const Mix::Vector3& Mix::Dynamics::IVehicleWheel::GetAxis | ( | void |  | ) | const

pure virtual

軸を取得します

Returns
  軸を表す Mix::Vector3 クラスを返します

virtual const Mix::Vector3& Mix::Dynamics::IVehicleWheel::GetConnectionPoint | ( | void |  | ) | const

pure virtual

接続位置を取得します

Returns
  接続位置を表す Mix::Vector3 クラスを返します

virtual void Mix::Dynamics::IVehicleWheel::SetConnectionPoint | ( | const Mix::Vector3 & | cp | ) |

pure virtual

接続位置を設定します

Parameters

  [in] | cp | 接続位置を表す Mix::Vector3 クラス

virtual Float32 Mix::Dynamics::IVehicleWheel::GetRollInfluence | ( | void |  | ) | const

pure virtual

車体が転がる影響度を取得します

Returns
  影響度を返します

virtual void Mix::Dynamics::IVehicleWheel::SetRollInfluence | ( | Float32 | rollInfluence | ) |

pure virtual

車体が転がる影響度を設定します

Parameters

  [in] | rollInfluence | 影響度

Note
  値が高いほど、ステアリングをきった時などに車体が転がりやすくなります

virtual const Mix::Dynamics::IVehicleWheel::TIRE& Mix::Dynamics::IVehicleWheel::GetTire | ( | void |  | ) | const

pure virtual

タイヤを取得します

Returns
  タイヤを表す Mix::Dynamics::IVehicleWheel::TIRE 構造体を返します

virtual void Mix::Dynamics::IVehicleWheel::SetTire | ( | const Mix::Dynamics::IVehicleWheel::TIRE & | tire | ) |

pure virtual

タイヤを設定します

Parameters

  [in] | tire | タイヤを表す Mix::Dynamics::IVehicleWheel::TIRE 構造体

virtual const Mix::Dynamics::IVehicleWheel::SUSPENSION& Mix::Dynamics::IVehicleWheel::GetSuspension | ( | void |  | ) | const

pure virtual

サスペンションを取得します

Returns
  サスペンションを表す Mix::Dynamics::IVehicleWheel::SUSPENSION 構造体を返します

virtual void Mix::Dynamics::IVehicleWheel::SetSuspension | ( | const Mix::Dynamics::IVehicleWheel::SUSPENSION & | suspension | ) |

pure virtual

サスペンションを設定します

Parameters

  [in] | suspension | サスペンションを表す Mix::Dynamics::IVehicleWheel::SUSPENSION 構造体

virtual Float32 Mix::Dynamics::IVehicleWheel::GetSteeringValue | ( | void |  | ) | const

pure virtual

ステアリングの値を取得します

Returns
  ステアリングの値を返します

virtual void Mix::Dynamics::IVehicleWheel::SetSteeringValue | ( | Float32 | value | ) |

pure virtual

ステアリングの値を設定します

Parameters

  [in] | value | ステアリングの値( ラジアン単位 )

virtual Float32 Mix::Dynamics::IVehicleWheel::GetEngineForce | ( | void |  | ) | const

pure virtual

エンジンを力を取得します

Returns
  エンジンの力を返します

virtual void Mix::Dynamics::IVehicleWheel::SetEngineForce | ( | Float32 | force | ) |

pure virtual

エンジンの力を設定します

Parameters

  [in] | force | エンジンの力

virtual Float32 Mix::Dynamics::IVehicleWheel::GetBreakingForce | ( | void |  | ) | const

pure virtual

ブレーキの力を取得します

Returns
  ブレーキの力を返します

virtual void Mix::Dynamics::IVehicleWheel::SetBreakingForce | ( | Float32 | force | ) |

pure virtual

ブレーキの力を設定します

Parameters

  [in] | force | ブレーキの力

virtual Boolean Mix::Dynamics::IVehicleWheel::OnGround | ( | void |  | ) | const

pure virtual

接地しているかどうかを確認します

Returns
  接地している場合は True を返します

virtual Mix::Dynamics::IVehicleWheel::CONTACT Mix::Dynamics::IVehicleWheel::GetContact | ( | void |  | ) | const

pure virtual

接触を取得します

Returns
  接触を表す Mix::Dynamics::IVehicleWheel::CONTACT 構造体を返します

Note
  接地していない場合( OnGround() == False )、位置、法線は ( 0.0f, 0.0f, 0.0f ) が設定されます。

virtual const Mix::Matrix4x4& Mix::Dynamics::IVehicleWheel::GetWorldMatrix | ( | void |  | ) |

pure virtual

ワールド行列を取得します

Returns
  ワールド行列を表す Mix::Matrix4x4 クラスを返します

The documentation for this class was generated from the following file:

- Mix/Dynamics/IVehicle.h